Page MenuHomePhabricator

Support templating for Growth campaign landing pages
Closed, ResolvedPublicFeature

Description

The code for Growth campaign landing pages (see T284740: Account creation: design an enhanced account creation landing page and various related tasks) is a mess of hardcoded content and behavior for various specific campaigns; every small modification requires a code change (and usually a backport and a slow scap sync-world). It should have some sort of template system so that new campaigns only require configuration to set up, with i18n handled via on-wiki system message overrides. This would also make it possible for the communities to set up their own campaigns without Growth team assistance.

See also T305443: Account creation: remove GLAM event ad-hoc code after 20th of April which is closely related.

Event Timeline

Change 790018 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] [WIP] Introduce campaign templates

https://gerrit.wikimedia.org/r/790018

Tgr changed the task status from Open to In Progress.May 9 2022, 11:06 AM
Tgr moved this task from In Progress to Code Review on the Growth-Team (Current Sprint) board.
kostajh triaged this task as Medium priority.May 12 2022, 8:57 AM

Change 791770 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] GrowthExperiments: Update campaign configuration

https://gerrit.wikimedia.org/r/791770

Change 790650 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns configuration

https://gerrit.wikimedia.org/r/790650

Change 790650 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns configuration

https://gerrit.wikimedia.org/r/790650

Mentioned in SAL (#wikimedia-operations) [2022-05-16T07:54:21Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e9a00e8: GrowthExperiments: Update campaigns configuration (T305443, T305659, T307521) (duration: 00m 50s)

Change 791770 abandoned by Kosta Harlan:

[operations/mediawiki-config@master] GrowthExperiments: Update campaign configuration

Reason:

abandoning per https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/791770/2#message-b17655aa91b271c93ff13603c61a6506dfd769c1

https://gerrit.wikimedia.org/r/791770

Change 790018 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Introduce campaign templates

https://gerrit.wikimedia.org/r/790018

Change 792697 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Campaign templates: show legal footer on mobile

https://gerrit.wikimedia.org/r/792697

Change 792655 had a related patch set uploaded (by Gergő Tisza; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.12] Campaign templates: show legal footer on mobile

https://gerrit.wikimedia.org/r/792655

Change 792697 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Campaign templates: show legal footer on mobile

https://gerrit.wikimedia.org/r/792697

Change 792655 merged by Jforrester:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.12] Campaign templates: show legal footer on mobile

https://gerrit.wikimedia.org/r/792655

Mentioned in SAL (#wikimedia-operations) [2022-05-18T13:15:47Z] <jforrester@deploy1002> Synchronized php-1.39.0-wmf.12/extensions/GrowthExperiments: Backport: [[gerrit:792655|Campaign templates: show legal footer on mobile (T307521)]] (duration: 00m 53s)